
<!DOCTYPE html>
<html>
<head>
	<title>JS function Exo 2 cryptage Canard boîteux</title>
</head>
<body>
Exo 2 <br>
on passe une phrase à une fonction <br>
la 1ère lettre va au milieu et on lui passe une lettre à gauche et à droite<br>
stringSeux ("Canard boîteux");<br>
resultat = xeîbdaaCnr otu <br>

<!-- Canard boîteux -->
<script>

function mixString (mot) {
	var nc = "";
	for (var i = 0; i < mot.length; i++) {
		if (i%2 == 0) {
		nc = nc + mot.charAt(i)
		}
		if (i%2 == 1) {
		nc = mot.charAt(i) + nc
		}
}
	/*quand i = 0 on a nc = mot.charAt(0) + nc = C + "" = C
	quand i = 1 on a nc = mot.charAt(1) + nc = a + C = aC
	quand i = 2 on a nc = mot.charAt(2) + nc = n + aC = naC...
	on a donc xuetîob dranaC 
	toutes les valeurs vont à gauche 
	Il faut qu'ils aillent à gauche 1 fois sur 2
	quand i = 0 on met à droite
	quand i = 1 on met à gauche 

	si i = 4, i%2 = 0 alors on met la nouvelle valeur à droite*/






	return nc;

}


</script>

</body>
</html>